UpdateMalwareExposure
Updates the MalwareExposure object specified by the UUID.
PATCH
/
v1
/
namespaces
/
{object.tenant_meta.namespace}
/
malware-exposure
UpdateMalwareExposure
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure"
payload = {
"object": { "tenant_meta": {} },
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({object: {tenant_meta: {}}, request: {force: true, update_mask: '<string>'}})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'object' => [
'tenant_meta' => [
]
],
'request' => [
'force' => true,
'update_mask' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure"
payload := strings.NewReader("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure")
.header("Content-Type", "application/json")
.body("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"malware_uuid": "<string>",
"malware_detected_on": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Body
application/json
Response
A successful response.
Namespace exposure for a given Malware package. The presence of this object indicates that at least one project in the Namespace is, or was, potentially affected by the referenced Malware. If all affected projects are in child namespaces, then there are no MalwareExposure objects in the parent namespace. Use traverse to include MalwareExposure objects from child namespaces. The meta.name field contains the fully qualified package name of the Malware package. For example, "npm://package-name".
Was this page helpful?
UpdateMalwareExposure
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure"
payload = {
"object": { "tenant_meta": {} },
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({object: {tenant_meta: {}}, request: {force: true, update_mask: '<string>'}})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'object' => [
'tenant_meta' => [
]
],
'request' => [
'force' => true,
'update_mask' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure"
payload := strings.NewReader("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure")
.header("Content-Type", "application/json")
.body("{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/malware-exposure")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"object\": {\n \"tenant_meta\": {}\n },\n \"request\": {\n \"force\": true,\n \"update_mask\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"ecosystem": "ECOSYSTEM_UNSPECIFIED",
"malware_uuid": "<string>",
"malware_detected_on": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}